## org.biojavax.bio.phylo.tree
Class WeightedBranch

    java.lang.Object
      org.biojavax.bio.phylo.tree.DefaultBranch
          org.biojavax.bio.phylo.tree.WeightedBranch

All Implemented Interfaces:
  Branch, Weighted

    public class WeightedBranch

extends DefaultBranch
implements Weighted

Version:
  $Id: WeightedBranch.java,v 1.1 2006/12/13 17:24:30 tobias Exp $

  created on 13.12.2006 12:16:03
Author:
  Tobias Thierer

Constructor Summary
`WeightedBranch(Node nodeA, Node nodeB, double weight)`

Method Summary
`double` `getWeight()`
`void` `setWeight(double weight)`

Methods inherited from class org.biojavax.bio.phylo.tree.DefaultBranch
`getNodeA, getNodeB, getNodes, getOtherNode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeightedBranch

    public WeightedBranch(Node nodeA,
                          Node nodeB,
                          double weight)

Method Detail

### getWeight

    public final double getWeight()

  Specified by:
    `getWeight` in interface `Weighted`

### setWeight

    public final void setWeight(double weight)

  Specified by:
    `setWeight` in interface `Weighted`